# Branch

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**commit** | Option<[**crate::models::PayloadCommit**](PayloadCommit.md)> |  | [optional]
**effective_branch_protection_name** | Option<**String**> |  | [optional]
**enable_status_check** | Option<**bool**> |  | [optional]
**name** | Option<**String**> |  | [optional]
**protected** | Option<**bool**> |  | [optional]
**required_approvals** | Option<**i64**> |  | [optional]
**status_check_contexts** | Option<**Vec<String>**> |  | [optional]
**user_can_merge** | Option<**bool**> |  | [optional]
**user_can_push** | Option<**bool**> |  | [optional]

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


